summaryrefslogtreecommitdiff
path: root/tests/touch/dangling-symlink
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2000-07-01 10:59:56 +0000
committerJim Meyering <jim@meyering.net>2000-07-01 10:59:56 +0000
commit95e3f911e2ed5541850ef3710d61d0308c2df667 (patch)
tree14808df6d800c80889d739675372574f4281fa9a /tests/touch/dangling-symlink
parentf59a68b49a2c1f774c99115e712b80e7cb2b3a11 (diff)
downloadcoreutils-95e3f911e2ed5541850ef3710d61d0308c2df667.tar.xz
Warn about the problem, rather
than failing on some very recent (at least 2.3.99) versions of the Linux kernel. Suggestion from Ulrich Drepper.
Diffstat (limited to 'tests/touch/dangling-symlink')
-rwxr-xr-xtests/touch/dangling-symlink19
1 files changed, 19 insertions, 0 deletions
diff --git a/tests/touch/dangling-symlink b/tests/touch/dangling-symlink
index 7e6e0080c..b61beb4bb 100755
--- a/tests/touch/dangling-symlink
+++ b/tests/touch/dangling-symlink
@@ -17,4 +17,23 @@ touch t-symlink || fail=1
test -f touch-target || fail=1
rm -f touch-target t-symlink
+if test $fail = 1; then
+ case $host_triplet in
+ *linux-gnu*)
+ case "`uname -r`" in
+ 2.3.9[0-9]*)
+ cat 1>&2 <<EOF
+====================================================
+$0: WARNING!!!
+This version of the Linux kernel causes touch to fail
+when operating on dangling symlinks.
+====================================================
+EOF
+ exit 77
+ ;;
+ esac
+ ;;
+ esac
+fi
+
exit $fail